"use strict";
var HTMLEntitiesEncoder = (function () {
    function HTMLEntitiesEncoder() {
    }
    HTMLEntitiesEncoder.prototype.getDisplayname = function () {
        return "Encode HTML entities";
    };
    HTMLEntitiesEncoder.prototype.getId = function () {
        return "encodehtmlentities";
    };
    HTMLEntitiesEncoder.prototype.convert = function (input) {
        return input
            .replace(/\&/g, "&amp;")
            .replace(/\</g, "&lt;")
            .replace(/\>/g, "&gt;")
            .replace(/\"/g, "&quot;");
    };
    return HTMLEntitiesEncoder;
}());
exports.HTMLEntitiesEncoder = HTMLEntitiesEncoder;
