"use strict";
var PunycodeEncoder = (function () {
    function PunycodeEncoder(nativeLibraryWrapperService) {
        this.nativeLibraryWrapperService = nativeLibraryWrapperService;
    }
    PunycodeEncoder.prototype.getDisplayname = function () {
        return "Encode as punycode";
    };
    PunycodeEncoder.prototype.getId = function () {
        return "encodepunycode";
    };
    PunycodeEncoder.prototype.convert = function (input) {
        return this.nativeLibraryWrapperService.punycode.encode(input);
    };
    return PunycodeEncoder;
}());
exports.PunycodeEncoder = PunycodeEncoder;
