"use strict";
var PunycodeDecoder = (function () {
    function PunycodeDecoder(nativeLibraryWrapperService) {
        this.nativeLibraryWrapperService = nativeLibraryWrapperService;
    }
    PunycodeDecoder.prototype.getDisplayname = function () {
        return "Decode from punycode";
    };
    PunycodeDecoder.prototype.getId = function () {
        return "decodepunycode";
    };
    PunycodeDecoder.prototype.convert = function (input) {
        return this.nativeLibraryWrapperService.punycode.decode(input);
    };
    return PunycodeDecoder;
}());
exports.PunycodeDecoder = PunycodeDecoder;
