"use strict";
var QuotedPrintableEncoder = (function () {
    function QuotedPrintableEncoder(nativeLibraryWrapperService) {
        this.nativeLibraryWrapperService = nativeLibraryWrapperService;
    }
    QuotedPrintableEncoder.prototype.getDisplayname = function () {
        return "Encode quoted printable";
    };
    QuotedPrintableEncoder.prototype.getId = function () {
        return "encodequotedprintable";
    };
    QuotedPrintableEncoder.prototype.convert = function (input) {
        return this.nativeLibraryWrapperService.quotedPrintable.encode(input);
    };
    return QuotedPrintableEncoder;
}());
exports.QuotedPrintableEncoder = QuotedPrintableEncoder;
